{% extends "layouts/base.html" %}
{# This form is basically ripped from https://mdbootstrap.com/docs/b4/jquery/forms/validation #}
{% set   url_submit = "/admin/products/create" %}

{% block pageJS %}
<script>
	window.addEventListener("DOMContentLoaded", function (event) {
		//	Find The input element
		//	Find the preview element
		//	Add click listener to preview to "click" the input
		const input   = document.getElementById("form-product-image");
		const preview = document.getElementById("form-product-image-preview");

		preview.addEventListener("click", function (event) {
			input.click();
		});

		input.addEventListener("change", function (event) {
			console.log(event.target.files);
			//	TODO: Check for single / multiples. Files is array
			//	Load the selected image and put in src
			//	Release the memeory
			preview.src    = URL.createObjectURL(event.target.files[0]);
			preview.onload = function() { URL.revokeObjectURL(preview.src); }
		});
	});
</script>
{% endblock pageJS %}

{% block pageContent %}
<div class="container-fluid">
	{% block    pageHeader %}
	<h1>Products - Create</h1>
	<p>This example shows how to pass basic parameters over from the browser to the server</p>
	{% endblock pageHeader %}
	
	<div class="justify-content-center">
		<form
			id="form-create-product"
			class="needs-validation"
			action="{{url_submit}}" 
			enctype="multipart/form-data"
			method="POST" novalidate>
			
			<div class="form-row">
				<div class="col">
					<div class="form-row md-form">
						<label for="form-product-name">Product Name</label>
						<input class="form-control" type="text" name="name" id="form-product-name" required value={{data.name}}>
						<div   class="invalid-feedback">Please provide a valid zip.</div>	
					</div>
					
		
					<div class="form-row md-form">
						<label for="form-product-price">Price</label>
						<input class="form-control" type="text" name="price" id="form-product-price" pattern="^[0-9]+([.][0-9]+)?$" required value={{data.price}}>
						<div   class="invalid-feedback">Please provide a valid price.</div>	
					</div>
			
					<div class="form-row md-form">
						<label    for="form-product-description">Description</label>
						<textarea class="form-control md-textarea" name="description" id="form-product-description" required>{{data.description}}</textarea>
						<div      class="invalid-feedback">Please write something</div>
					</div>
				</div>

				<div class="col">
					{# image input here #}
					{# this accept check only extension #}
					<input type="file" name="image" id="form-product-image" accept="image/*" style="display: none;">
					<img   id="form-product-image-preview" src="{{data.image or '/public/img/placeholder.png'}}">
				</div>

			</div>
			
			<div class="form-row">
				<div class="col">
					<button class="btn btn-primary   waves-effect" type="submit" style="width: 100%;">Submit</button>
				</div>
				<div class="col">
					<button class="btn btn-secondary waves-effect" type="reset"  style="width: 100%;">Reset</button>
				</div>
			</div>
		</form>
	</div>
</div>
{% endblock pageContent%}